﻿@model IEnumerable<Cines.Models.Sala>

@{
    ViewBag.Title = "Index";
}

<h2>@ViewBag.CineNombre</h2>

    <p>
        @Html.ActionLink("Create New", "Create")
    </p>
<table class="table">
    <tr>
        <th>
            Película
        </th>
        <th>
            Horario
        </th>
        <th>
            Sala
        </th>
        <th>Eliminar</th>
    </tr>

    @foreach (var s in Model)
    {
        foreach (var f in s.Funciones)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => f.Pelicula.Nombre)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => f.Horario)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => s.Numero)
                </td>
                <td>
                    @Html.ActionLink("Borrar todas las de esta sala", "BorrarTodas", new { sala = s.Id })
                </td>
            </tr>
        }
    }

    </table>
